@charset "utf=8";

/* モーダルが開いている間、勝手にスクロールしないように強制 */
html:has(.modal-wrapper[style*="display: block"]) {
	scroll-behavior: auto !important;
}

/* 念のため、body固定の補助 */
body.modal-open {
	position: fixed;
	width: 100%;
}

body.modal-open {
    padding-right: 0 !important;
}

/* ==========================================
モーダル
========================================== */

/* モーダル全体の設定 */
.modal-wrapper {
	display: none;
	/* 最初は隠す */
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 9999;
}

/* 黒背景のマスク */
.modal-overlay {
	position: absolute;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, 0.7);
	cursor: pointer;
}

/* モーダル白枠の中身 */
.modal-content {
	position: relative;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	background: #fff;
	padding: 6rem 6rem 9rem;
	width: 96%;
	max-height: 96%;
	max-width: 150rem;
	border-radius: 0.5rem;
	box-shadow: 0 0.3rem 1rem rgba(0, 0, 0, 0.1);
	overflow-y: scroll;
}

.modal-content::-webkit-scrollbar {
	display: none;
}

/* 右上の「×」ボタン */
.modal-close-x {
	position: absolute;
	top: 10px;
	right: 15px;
	font-size: 30px;
	line-height: 1;
	cursor: pointer;
	color: #2F180A;
	transition: all .5s;
}

.modal-close-x:hover {
	color: #2F180A;
	opacity: 0.7;
}

/* 閉じるボタンのデザイン */
.modal-close-btn {
	padding: 0.5rem;
	background: #2F180A;
	color: #fff;
	border: none;
	cursor: pointer;
	max-width: 28rem;
	width: 100%;
	border-radius: 3rem;
	height: 6rem;
	margin: 4rem auto 0;
	transition: all .5s;
	text-align: center;
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 1.8rem;
}

.modal-close-btn:hover {
	background-color: var(--primary);
}

/* 開くボタンのデザイン */
.modal-open-link {
	padding: 0.5rem;
	background: #2F180A;
	color: #fff;
	border: none;
	cursor: pointer;
	max-width: 28rem;
	width: 100%;
	border-radius: 3rem;
	height: 6rem;
	transition: all .5s;
	text-align: center;
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 1.8rem;
}

.modal-open-link:hover {
	background-color: var(--primary);
}

/* モーダル見出し */

.menuModalTitleEn {
	font-family: var(--font-family01);
	font-size: 4.5rem;
	letter-spacing: 0.05em;
	line-height: 1.16em;
}

.menuModalTitleSet {
	display: flex;
	align-items: center;
	justify-content: center;
	flex-wrap: wrap;
	gap: 0.5rem 3rem;
}

.menuModalTitleTime {
	color: var(--primary);
	font-size: 2.2rem;
	font-weight: bold;
	letter-spacing: 0.05em;
}

.menuModalTitleDeco {
	border-top: 2px dashed var(--base-font-color);
	max-width: 60rem;
	width: 100%;
	margin: 0.8rem auto 0;
}

.menuModalCommentTextMin {
	text-align: center;
	font-size: 1.6rem;
	letter-spacing: 0.05em;
	line-height: 1.5em;
	margin-top: 1.4rem;
}

/*---モーダルメニュー--*/

.menuModalGridWr {
	max-width: 116.9rem;
	width: 100%;
	margin: 7rem auto 0;
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	gap: 4rem 26.9rem;
}

.menuModalMenuTh {
	font-size: 1.6rem;
	letter-spacing: 0.05em;
	line-height: 1.875em;
	flex: 1;
}

.menuModalMenuName {
	font-weight: 600;
}

.menuModalMenuTb {
	display: flex;
	align-items: baseline;
	justify-content: space-between;
	padding-bottom: 0.6rem;
	border-bottom: 1px solid #707070;
	gap: 1.5rem;
}

.menuModalMenuTd {
	text-align: right;
	font-size: 1.6rem;
	font-weight: 600;
	letter-spacing: 0.05em;
}

.menuModalMenuTextList {
	font-weight: 400;
}

.menuModalGridItemBox {
	margin-top: 2rem;
}

.menuModalMenuItemBoxWr .menuModalMenuBoxWr:first-child {
	margin-top: 0;
}

.menuModalMenuBoxWr .menuModalGridItemBox:first-child {
	margin-top: 0;
}

.menuModalMenuItemBoxWr {
	max-width: 100%;
}

.menuModalMenuItemBoxWr .menuModalMenuBoxWr {
	margin-top: 4rem;
}

.menuModalNameTit {
	color: var(--primary);
	font-size: 2rem;
	font-weight: bold;
	letter-spacing: 0.05em;
	line-height: 1.5em;
}

/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */
/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */

@media screen and (width <=1024px) {

	.menuModalGridWr {
		margin: 4rem auto 0;
		gap: 4rem 8rem;
	}

}

/* ☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆ */
/* ☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆ */

/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */
/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */

@media screen and (width <=768px) {

	.menuModalGridWr {
		grid-template-columns: repeat(1, 1fr);
		gap: 4rem 4rem;
	}

	.menuModalTitleEn {
		font-size: 3rem;
	}

	.menuModalTitleSet {
		gap: 0 2rem;
	}

	.menuModalTitleTime {
		font-size: 1.5rem;
	}

	.menuModalCommentTextMin {
		font-size: 1.4rem;
		margin-top: 1rem;
	}

}

/* ☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆ */
/* ☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆ */

/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */
/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */

@media screen and (width <=576px) {


	.menuModalMenuTh {
		font-size: 1.4rem;
	}

	.menuModalMenuTd {
		font-size: 1.4rem;
	}

	/* モーダル白枠の中身 */
	.modal-content {
		padding: 4rem 2rem 4.5rem;
	}

	.menuModalGridItemBox {
		margin-top: 1rem;
	}

	.menuModalMenuItemBoxWr .menuModalMenuBoxWr {
		margin-top: 3rem;
	}

	.menuModalGridWr {
		gap: 3rem 2rem;
	}

	.modal-open-link {
		height: 5rem;
		font-size: 1.6rem;
	}


}

/* ☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆ */
/* ☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆ */